# Class ExpressionBinary

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.ExpressionBinary

Direct Known Subclasses:
  `And, Div, Eq, Ge, Gt, Has, Le, Lt, Match, Minus, Mod, Or, Plus, Times, Xor`

public abstract class ExpressionBinary extends Expression
Binary condition

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Expression`
`left`
`protected Expression`
`right`

### Fields inherited from class Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionBinary(Expression left, Expression right, String operator)`

## Method Summary

Modifier and Type
Method
Description
`Value`
`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
Evaluate expression using VcfEntry
`Value`
`eval(org.snpeff.vcf.VcfGenotype gt)`
Evaluate expression using genotype
`protected abstract Value`
`evalOp(Value lval, Value rval)`
`String`
`toString()`

### Methods inherited from class Expression

`setNegated`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### left

protected Expression left

### right

protected Expression right

## Constructor Details

### ExpressionBinary

public ExpressionBinary(Expression left, Expression right, String operator)

## Method Details

### eval

public Value eval(org.snpeff.vcf.VcfEntry vcfEntry)
Description copied from class: `Expression`
Evaluate expression using VcfEntry

Specified by:
  `eval` in class `Expression`

### eval

public Value eval(org.snpeff.vcf.VcfGenotype gt)
Description copied from class: `Expression`
Evaluate expression using genotype

Specified by:
  `eval` in class `Expression`

### evalOp

protected abstract Value evalOp(Value lval, Value rval)

### toString

public String toString()

Overrides:
  `toString` in class `Object`